request withdrawal
POST
/v1/withdrawals
const url = 'https://api.flowpayra.com/v1/withdrawals';const options = { method: 'POST', headers: { 'Idempotency-Key': 'example', 'X-Api-Key': '<X-Api-Key>', 'X-Signature': '<X-Signature>', 'X-Timestamp': '<X-Timestamp>', 'X-Nonce': '<X-Nonce>', 'Content-Type': 'application/json' }, body: '{"currency_id":"example","target_chain_id":"example","amount":"example","withdraw_address_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.flowpayra.com/v1/withdrawals \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: example' \ --header 'X-Api-Key: <X-Api-Key>' \ --header 'X-Nonce: <X-Nonce>' \ --header 'X-Signature: <X-Signature>' \ --header 'X-Timestamp: <X-Timestamp>' \ --data '{ "currency_id": "example", "target_chain_id": "example", "amount": "example", "withdraw_address_id": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Idempotency-Key
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
currency_id
required
string
target_chain_id
required
string
amount
required
string
withdraw_address_id
required
string
Examplegenerated
{ "currency_id": "example", "target_chain_id": "example", "amount": "example", "withdraw_address_id": "example"}Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
id
required
string
currency_id
required
string
currency_chain_id
required
string
target_chain_id
required
string
send_amount_raw
required
string
withdrawal_fee_raw
required
string
total_debit_raw
required
string
status
required
string
Examplegenerated
{ "id": "example", "currency_id": "example", "currency_chain_id": "example", "target_chain_id": "example", "send_amount_raw": "example", "withdrawal_fee_raw": "example", "total_debit_raw": "example", "status": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}